<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <!-- Tree View -->
    <record id="sos_target_tracker_view_panel" model="ir.ui.view">
<field name="name">sos_target_tracker.search</field>
<field name="model">sos_target_tracker</field>
<field name="arch" type="xml">
<search position="inside">

 <field name="inside_sales_executive" string="Sales Executive"/>
</search>

</field>
</record>
    <record id="view_sos_target_tracker_tree" model="ir.ui.view">
        <field name="name">sos_target_tracker.tree</field>
        <field name="model">sos_target_tracker</field>
        <field name="arch" type="xml">
            <tree decoration-success="weekly_entries_count >= 4" decoration-bf="weekly_entries_count >= 4" >
            <field name="inside_sales_executive"/>
            <field name="entry_date"/>
                  <field name="week"/>
                   <field name="weekly_status"/>
                <field name="weekly_entries_count"/>
            </tree>
        </field>
    </record>

    <!-- Form View -->
    <record id="view_sos_target_tracker_form" model="ir.ui.view">
        <field name="name">sos_target_tracker.form</field>
        <field name="model">sos_target_tracker</field>
        <field name="arch" type="xml">
            <form>
                <sheet>
       <h2 style="text-align: center;text-transform: uppercase;text-shadow: 1px 1p 1px #140718;color: #65407c;padding:5px;">Leads</h2><hr></hr><br></br>  

                 <group>
                        <field name="week"/>
                   <field name="weekly_status"/>
                <field name="weekly_entries_count"/>
                    </group>
        
        
                </sheet>
            </form>
        </field>
    </record>

    <!-- Action -->
    <record id="action_sos_target_tracker" model="ir.actions.act_window">
        <field name="name">Target Tracker</field>
        <field name="res_model">sos_target_tracker</field>
        <field name="view_mode">tree,form</field>
    </record>

    <!-- Menu -->
    <menuitem id="menu_sos_target_tracker" name="Target Tracker" parent="sos_inside_sales_menu_root" action="action_sos_target_tracker" sequence="3"/>
</odoo>
